package com.yunzhupaas.mdm.service;

import com.yunzhupaas.mdm.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.mdm.model.material.*;
import java.util.*;

/**
 * 物料信息
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-04-27
 */
public interface MaterialService extends SuperService<MaterialEntity> {
    List<MaterialEntity> getList(MaterialPagination materialPagination);

    List<MaterialEntity> getTypeList(MaterialPagination materialPagination,String dataType);

    MaterialEntity getInfo(String materialid);

    void delete(MaterialEntity entity);

    void create(MaterialEntity entity);

    boolean update(String materialid, MaterialEntity entity);

	String checkForm(MaterialForm form,int i);

    void saveOrUpdate(MaterialForm materialForm,String id, boolean isSave) throws Exception;
}
